Bug 476469 - mounting ocfs2 partition fails due to missing load_module command in startup script
mounting ocfs2 partition fails due to missing load_module command in startup ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ocfs2-tools (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Mark Fasheh
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 21:40 EST by Dennis Jacobfeuerborn
Modified: 2009-11-19 02:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 02:22:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Jacobfeuerborn 2008-12-14 21:40:26 EST
After configuring an ocfs2 cluster and trying to mount the first partition the following error appears:

mount.ocfs2: Node manager kernel module is not loaded probably because o2cb service not started

The reason is that /proc/sys/fs/ocfs2/nm/hb_path_ctl is not found and therefore the mount fails. This functionality has been moved into a new module ocfs2_stackglue, which is not loaded in /etc/init.d/o2cb.

Fix:
Add "load_module ocfs2_stackglue" to the LOAD_ACTIONS in /etc/init.d/o2cb.

After that mounting the partitions works fine.
Comment 1 Dennis Jacobfeuerborn 2009-04-28 22:32:03 EDT
Are there any plans to release an update with this easy fix?
Comment 2 Bug Zapper 2009-11-18 05:28:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.